Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class UnresolvedListElement

    java.lang.Object
      org.apache.fop.layoutmgr.ListElement
          org.apache.fop.layoutmgr.UnresolvedListElement

Direct Known Subclasses:
  BreakElement, UnresolvedListElementWithLength

    public abstract class UnresolvedListElement

extends ListElement

This class represents an unresolved list element.

Constructor Summary
`UnresolvedListElement(Position position)` Main constructor

Method Summary
`protected LayoutManager` | `getOriginatingLayoutManager()`
`abstract boolean` | `isConditional()`

Methods inherited from class org.apache.fop.layoutmgr.ListElement
`getLayoutManager, getPosition, isBox, isForcedBreak, isGlue, isPenalty, isUnresolvedElement, setPosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnresolvedListElement

    public UnresolvedListElement(Position position)

  Main constructor

  Parameters:
    `position` - the Position instance needed by the addAreas stage of the LMs.

Method Detail

### isConditional

    public abstract boolean isConditional()

  Returns:
    true if the element is conditional (conditionality="discard")

### getOriginatingLayoutManager

    protected LayoutManager getOriginatingLayoutManager()

  Returns:
    the layout manager that created this ListElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.